## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libdivide
Version:        5.2.0
Release:        %autorelease
Summary:        Optimized integer division

License:        Zlib OR BSL-1.0
URL:            https://libdivide.com/
%global forgeurl  https://github.com/ridiculousfish/libdivide
VCS:            git:%{forgeurl}.git
Source:         %{forgeurl}/archive/v%{version}/libdivide-%{version}.tar.gz

# There are no ELF objects in this package, so turn off debuginfo generation.
%global debug_package %{nil}

BuildRequires:  gcc-c++
BuildRequires:  cmake

%global _description %{expand:
This package contains a header-only C/C++ library for optimizing integer
division. Integer division is one of the slowest instructions on most CPUs,
e.g. on current x64 CPUs a 64-bit integer division has a latency of up to 90
clock cycles whereas a multiplication has a latency of only 3 clock cycles.
libdivide allows you to replace expensive integer division instructions by a
sequence of shift, add and multiply instructions that will calculate the
integer division much faster.

On current CPUs you can get a speedup of up to 10x for 64-bit integer division
and a speedup of up to to 5x for 32-bit integer division when using libdivide.
libdivide also supports SSE2, AVX2 and AVX512 vector division which provides an
even larger speedup.}

%description %_description


%package        devel
Summary:        Development files for libdivide

# Header-only library
Provides:       libdivide-static = %{version}-%{release}

%description    devel %_description


%prep
%autosetup -p1

# Disable -Werror
sed -i 's/;-Werror//;/-Werror/d' CMakeLists.txt


%conf
%cmake


%build
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license LICENSE.txt
%doc README.md
%doc doc

%{_includedir}/libdivide.h
%{_libdir}/cmake/libdivide/


%changelog
## START: Generated by rpmautospec
* Tue Jan 28 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.2.0-1
- Update to 5.2.0 (close RHBZ#2342112)

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.1-2
- Invoke %%cmake in %%conf rather than in %%build

* Wed Jul 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.1-1
- Update to 5.1 (close RHBZ#2302025)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 5.0-19
- Add VCS field

* Thu Mar 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0-18
- Fix a typo in README.md and in the package description

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0-10
- Update License to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 17 2022 Jerry James <loganjerry@gmail.com> - 5.0-8
- Update README.md.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0-6
- Reduce macro indirection in the spec file

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0-5
- Style tweaks according to personal preference

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0-4
- Switch URL from HTTP to HTTPS

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Jerry James <loganjerry@gmail.com> - 5.0-1
- Version 5.0

* Tue Mar  9 2021 Jerry James <loganjerry@gmail.com> - 4.0.0-1
- Version 4.0.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Oct 16 2019 Jerry James <loganjerry@gmail.com> - 3.0-1
- New upstream version
- Package cannot be noarch due to the cmake files

* Mon Sep 16 2019 Jerry James <loganjerry@gmail.com> - 2.0-1
- Initial RPM

## END: Generated by rpmautospec
